Bug 146847 - New port: security/p5-Crypt-PBKDF2
Summary: New port: security/p5-Crypt-PBKDF2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-22 23:40 UTC by Victor Popov
Modified: 2010-06-07 08:00 UTC (History)
0 users

See Also:


Attachments
file.shar (3.59 KB, text/plain)
2010-05-22 23:40 UTC, Victor Popov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Popov 2010-05-22 23:40:01 UTC
New port for perl module found at CPAN

PBKDF2 is a secure password hashing algorithm that uses the techniques of
"key strengthening" to make the complexity of a brute-force attack arbitrarily
high. PBKDF2 uses any other cryptographic hash or cipher (by convention,
usually HMAC-SHA1, but Crypt::PBKDF2 is fully pluggable), and allows for an
arbitrary number of iterations of the hashing function, and a nearly unlimited
output hash size (up to 2**32 - 1 times the size of the output of the backend
hash). The hash is salted, as any password hash should be, and the salt may
also be of arbitrary size.

See also: RFC2898, PKCS#5 version 2.0: http://tools.ietf.org/html/rfc2898


This port requires ports/146841 to be commited first, because it depends on devel/p5-MooseX-Method-Signatures>=0.30, and there is only 0.29 in ports now.

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2010-05-24 03:28:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2010-06-07 07:59:22 UTC
miwi        2010-06-07 06:59:09 UTC

  FreeBSD ports repository

  Modified files:
    security             Makefile 
  Added files:
    security/p5-Crypt-PBKDF2 Makefile distinfo pkg-descr pkg-plist 
  Log:
  PBKDF2 is a secure password hashing algorithm that uses the techniques of
  "key strengthening" to make the complexity of a brute-force attack arbitrarily
  high. PBKDF2 uses any other cryptographic hash or cipher (by convention,
  usually HMAC-SHA1, but Crypt::PBKDF2 is fully pluggable), and allows for an
  arbitrary number of iterations of the hashing function, and a nearly unlimited
  output hash size (up to 2**32 - 1 times the size of the output of the backend
  hash). The hash is salted, as any password hash should be, and the salt may
  also be of arbitrary size.
  
  See also: RFC2898, PKCS#5 version 2.0: http://tools.ietf.org/html/rfc2898
  
  WWW:    http://search.cpan.org/dist/Crypt-PBKDF2/
  
  PR:             ports/146847
  Submitted by:   Victor Popov <v.a.popov at gmail.com>
  
  Revision  Changes    Path
  1.1111    +1 -0      ports/security/Makefile
  1.1       +43 -0     ports/security/p5-Crypt-PBKDF2/Makefile (new)
  1.1       +3 -0      ports/security/p5-Crypt-PBKDF2/distinfo (new)
  1.1       +12 -0     ports/security/p5-Crypt-PBKDF2/pkg-descr (new)
  1.1       +12 -0     ports/security/p5-Crypt-PBKDF2/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2010-06-07 08:00:15 UTC
State Changed
From-To: open->closed

Committed. Thanks!